package com.yidianling.im.session.viewholder.bean


data class LingxiWhichQuestionBean(
    var isSelected: Boolean,
    var id: String?,//ID
    var questionPaperId: String?,//试卷ID
    var name:String?,//问题题目
    var type:String?,//试卷type radio单选，check 多选
    var options:ArrayList<QuestionItemBean>?//选项
)
data class QuestionItemBean(
    var id:String?,
    var name:String?,
    var relates:ArrayList<Relates>?,
    var isSelected: Boolean=false
)
//回答问题bean
data class LingxiAnswerBean(
    var data:AnswerBean,
    var fromUid:String,
    var type:String,
    var toUid:String
)
data class AnswerBean(
    var examId:String,
    var questionPaperId:String,
    var uid:String,
    var questionId:String,
    var answers:ArrayList<AnswersItem>
)
data class AnswersItem(
    var optionId:String,
    var name: String,
    var other:String,
    var relates:ArrayList<Relates>
)
data class Relates(
    var id: String?,
    var category:String?,
    var name: String?,
    var score:String?
)